## ksudoku 18.12.3

=== debian/changelog ===
ksudoku (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:32:19 +0000

ksudoku (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:19:25 +0000

ksudoku (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:27 +0000

ksudoku (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:51:40 +0000

ksudoku (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3).
  * Merge Debian changes. Remaining changes:
    - Kubuntu Vcs fields.
    - debian/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build depends.
    - Don't exclude armhf from mesa builds deps, to avoid FTBFS.
    - AUTHORS doc file removed upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 09 Dec 2018 10:25:34 +0000
