## ksudoku 20.08.1

=== debian/changelog ===
ksudoku (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:58:40 +0100

ksudoku (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:50:32 +0100

ksudoku (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:41:20 +0100

ksudoku (4:20.04.2-2) unstable; urgency=medium

  * Team upload.
  * Enable the libgl1-mesa-dev, and libglu1-mesa-dev build dependencies also on
    armhf, as it seems to build fine with them now.

 -- Pino Toscano <pino@debian.org>  Mon, 15 Jun 2020 08:15:44 +0200

ksudoku (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.11.0
    - bump KF packages to 5.46.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.
  * Drop the local man page, as it outdated, and there is no real command line
    interface.
  * Stop shipping the AUTHORS, and README files as documentation: the former
    does not exist anymore, and the latter is outdated and not really useful
    for users.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 15 Jun 2020 00:21:17 +0200
