=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+Build-Depends: cmake (>= 3.11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.46.0~),
                gettext,
                libgl1-mesa-dev | libgl-dev,
@@ -25,7 +25,7 @@
                libkf5i18n-dev (>= 5.46.0~),
                libkf5iconthemes-dev (>= 5.46.0~),
                libkf5jobwidgets-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
+               libkf5kdegames-dev (>= 4.9.0~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5widgetsaddons-dev (>= 5.46.0~),
                libkf5xmlgui-dev (>= 5.46.0~),
@@ -34,7 +34,7 @@
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.11.0~),
                qtdeclarative5-dev (>= 5.11.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksudoku
