=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkf5i18n-dev (>= 5.46.0~),
                libkf5iconthemes-dev (>= 5.46.0~),
                libkf5jobwidgets-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.12.3~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5widgetsaddons-dev (>= 5.46.0~),
                libkf5xmlgui-dev (>= 5.46.0~),
