## ksudoku 21.08.0

=== debian/changelog ===
ksudoku (4:21.08.0-1deepin1) unstable; urgency=medium

  * fix: adapt KF5KDEGames to newer system version

 -- sisungo <sisungo@icloud.com>  Sat, 8 Nov 2025 16:38:21 +0800

ksudoku (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:26:24 +0900

ksudoku (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 15:00:14 +0900
