=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libkf5i18n-dev (>= 5.46.0~),
                libkf5iconthemes-dev (>= 5.46.0~),
                libkf5jobwidgets-dev (>= 5.46.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5kio-dev (>= 5.46.0~),
                libkf5widgetsaddons-dev (>= 5.46.0~),
                libkf5xmlgui-dev (>= 5.46.0~),
