=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,8 @@
 	generator/dlxsolver.cpp
 	generator/cagegenerator.cpp
 	generator/mathdokugenerator.cpp
+
+	ksudoku.qrc
 )
 
 ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSUDOKU VERSION_HEADER ksudoku_version.h)
@@ -43,7 +45,6 @@
     ksudoku_gui
     ksudoku_logic
     KF5KDEGames
-    KF5KDEGamesPrivate
     KF5::KIOCore
     KF5::Crash
 )
@@ -66,7 +67,6 @@
 
 install(PROGRAMS gui/org.kde.ksudoku.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
 install(FILES gui/org.kde.ksudoku.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
-install(FILES gui/ksudokuui.rc  DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/ksudoku)
 install(FILES ksudokurc  DESTINATION ${KDE_INSTALL_CONFDIR})
 
 ecm_install_icons(ICONS
